/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2011, Tomasz Sowa
 * All rights reserved.
 * 
 */

#ifndef headerfile_winix_plugins_export_exportthread
#define headerfile_winix_plugins_export_exportthread

#include <list>
#include "core/basethread.h"
#include "message.h"



namespace Export
{


class ExportThread : public BaseThread
{
public:


	void AddMessage(const Message & message);
	void AddMessage(int type, const std::wstring & url, const std::wstring & path);


private:

	typedef std::list<Message> MessageTab;
	MessageTab message_tab;
	Message message_add_temp;


};

} // namespace

#endif
